# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'oxen_user/version'

Gem::Specification.new do |spec|
  spec.name          = "oxen_user"
  spec.version       = OxenUser::VERSION
  spec.authors       = ["Walther H Diechmann"]
  spec.email         = ["walther@diechmann.net"]

  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server."
  # end

  spec.summary       = %q{Offers a user table for customer users}
  spec.description   = %q{The account table is strictly for managing customer users}
  spec.homepage      = "http://gitserver.alco.dk/oxen_user"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'devise', '~> 0'
  spec.add_dependency 'devise_invitable', '~> 0'
  spec.add_dependency 'devise_zxcvbn', '~> 0'

  spec.add_dependency "paper_trail", '~> 0'
  spec.add_dependency 'pundit', '~> 0'

  #spec.add_dependency "devise_cas_authenticatable"

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_development_dependency 'combustion', '~> 0.5'
  spec.add_development_dependency "sqlite3", '~> 0'
  spec.add_development_dependency 'factory_girl_rails', '~> 0'
  spec.add_development_dependency 'database_cleaner', '~> 0'
  spec.add_development_dependency 'capybara', '~> 0'
  #
  spec.add_development_dependency "rspec", '~> 0'
  spec.add_development_dependency 'rspec-rails', '~> 0'
  spec.add_development_dependency "rspec-nc", '~> 0'
  spec.add_development_dependency "guard", '~> 0'
  spec.add_development_dependency "guard-rspec", '~> 0'
  spec.add_development_dependency "pry", '~> 0'
  spec.add_development_dependency "pry-remote", '~> 0'
  spec.add_development_dependency "pry-nav", '~> 0'

end
